PHP 7.3 error

johann9
13 Posts
johann9 posted this 3 weeks ago

Hi there, I saw that there are a number of related issues when people tried to edit Themler in php 7.2. This seemed to have been fixed, but as PHP 7.2 are coming to an end, I tried a fresh installation on PHP 7.3 and the latest Themler update, but this error has returned. It works fine in PHP 7.2,

[PHP_ERROR]{"message":"\n\nOS: Linux dedi575.jnb2.host-h.net 4.9.0-11-amd64 #1 SMP Debian 4.9.189-3+deb9u1 (2019-09-20) x86_64\nPHP: 7.3.19-1+0~20200612.60+debian9~1.gbp6c8fe1\nerror handler: strpos():.....

What I have tried; Cleared the website's cache, removed the history in my browser. I have also installed the desktop version and exported the theme from there to my website. No luck.

Is there a possible fix?

Thanks, Johann

Hi there, I saw that there are a number of related issues when people tried to edit Themler in php 7.2. This seemed to have been fixed, but as PHP 7.2 are coming to an end, I tried a fresh installation on PHP 7.3 and the latest Themler update, but this error has returned. It works fine in PHP 7.2, [PHP_ERROR]{"message":"\n\nOS: Linux dedi575.jnb2.host-h.net 4.9.0-11-amd64 #1 SMP Debian 4.9.189-3+deb9u1 (2019-09-20) x86_64\nPHP: 7.3.19-1+0~20200612.60+debian9~1.gbp6c8fe1\nerror handler: strpos():..... *What I have tried*; Cleared the website's cache, removed the history in my browser. I have also installed the desktop version and exported the theme from there to my website. No luck. Is there a possible fix? Thanks, Johann

Last edited 3 weeks ago by johann9

Vote to pay developers attention to this features or issue.
9 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 3 weeks ago

Hello,

Could you please update Themler to v505?

In order to open the theme for the update you need to either downgrade PHP version or copy theme folder via FTP from the server, open it with Themler Desktop and update there.

Gina
Themler Support

Hello, Could you please update Themler to v505? In order to open the theme for the update you need to either downgrade PHP version or copy theme folder via FTP from the server, open it with Themler Desktop and update there. Gina Themler Support
johann9
13 Posts
johann9 posted this 3 weeks ago

Hi Gina, I updated the theme to v505, but once I select php7.3 again, the same error returns. I also tried a fresh theme install

Thanks!

Johann

Hi Gina, I updated the theme to v505, but once I select php7.3 again, the same error returns. I also tried a fresh theme install Thanks! Johann
Support Team
Support Team posted this 3 weeks ago

Johann,

This is weird since version 505 has the fix for this exact error.
Could you please try to clear the cache on the site. You can also try using PHP 7.4.

If the error is still there, please, provide temporary access to the site.

Gina
Themler support

Johann, This is weird since version 505 has the fix for this exact error. Could you please try to clear the cache on the site. You can also try using PHP 7.4. If the error is still there, please, provide temporary access to the site. Gina Themler support
johann9
13 Posts
johann9 posted this 3 weeks ago

Cleared cache as requested as well, but the problem persists. I do not have access to php7.4 yet, only 7.3 and 7.2
Here are the log in details as requested

http://bloemvillage.co.za/2020/administrator
UN
adminjQt88c6c
PW
pQRXhMqnjQt88c6c

Thanks, Johann

Cleared cache as requested as well, but the problem persists. I do not have access to php7.4 yet, only 7.3 and 7.2 Here are the log in details as requested http://bloemvillage.co.za/2020/administrator UN adminjQt88c6c PW pQRXhMqnjQt88c6c Thanks, Johann
Support Team
Support Team posted this 3 weeks ago

Johann,

Could you please switch to OFF Cache under Globar Configuration and disable 3rd party plugins? (start with firewall plugin, box builder).
Check if any of those are conflicting with Themler.

Gina
Themler Support

Johann, Could you please switch to OFF Cache under Globar Configuration and disable 3rd party plugins? (start with firewall plugin, box builder). Check if any of those are conflicting with Themler. Gina Themler Support
johann9
13 Posts
johann9 posted this 3 weeks ago

I tried your suggestion, but that did not solve the problem. Then I decided to do a fresh install and only install Themler. I updated the template to v505, then acticvated php7.3 and that again popped an error.

If you want to have a look, here are the user details :
http://bloem-online.co.za/joomla_default/administrator

username and password:
adminpSBwnb7W
9mJVaUpSBwnb7Wna2YNF

Thanks, Johann

I tried your suggestion, but that did not solve the problem. Then I decided to do a fresh install and only install Themler. I updated the template to v505, then acticvated php7.3 and that again popped an error. If you want to have a look, here are the user details : http://bloem-online.co.za/joomla_default/administrator username and password: adminpSBwnb7W 9mJVaUpSBwnb7Wna2YNF Thanks, Johann
Support Team
Support Team posted this 3 weeks ago

Could you please share FTP access as well?

Gina
Themler support

Could you please share FTP access as well? Gina Themler support
johann9
13 Posts
johann9 posted this 3 weeks ago

FTP server : 129.232.138.10
bloemwatkb_0
QUmq8mzMver9n5N1JsF8

FTP server : 129.232.138.10 bloemwatkb_0 QUmq8mzMver9n5N1JsF8
johann9
13 Posts
johann9 posted this 6 days ago

Any luck here?

Any luck here?
You must log in or register to leave comments